Ads 468x60px

##EasyReadMore##

06 11月, 2015

Ubuntu 升級 svn subversion 全版本適用

vim /etc/apt/sources.list 加入

deb http://ppa.launchpad.net/svn/ppa/ubuntu lucid main
deb-src http://ppa.launchpad.net/svn/ppa/ubuntu lucid main

要注意的是 lucid 是 Ubuntu 10.04 的版本名

假如你的是 Ubuntu 12.04 版就改成 “precise”

sudo apt-get update

apt-get install subversion

svn –version

理論上就是新的版本

若更新過程中出現如下問題,可以採用如下方式解決

出現W:GPG 錯誤: http://ppa.launchpad.net precise Release: 由於無法取得它們的公鑰,以下簽章無法進行驗證: NO_PUBKEY EAA903E3A2F4C039 的問題,可以在終端中運行:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys EAA903E3A2F4C039

命令即可解決···記得 key 要一起改

如果沒有就移除再重裝吧

apt-get remove subversion

如果沒有升到預期想要的版本

就是該來源已不支援你舊版的 Ubuntu 了

http://ppa.launchpad.net/dominik-stadler/subversion-1.9/ubuntu/dists/

可以看到 1.9 版只支援

[DIR]    devel/    05-Oct-2015 19:39    -    
[DIR]    trusty/    02-Oct-2015 21:48    -    
[DIR]    vivid/    05-Oct-2015 19:39    -    
[DIR]    wily/    05-Oct-2015 19:39    -    

其它的版本查詢 就把 1.9 改成 1.7 依此類推


-

0 意見:

張貼留言

 
Blogger Templates